%define        majver %(echo %version | cut -d. -f 1-2)
Name:          libgdl
Version:       3.28.0
Release:       1mamba
Summary:       Gnome Devtool Libraries - development components
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gnome.org
Source:        http://ftp.gnome.org/pub/GNOME/sources/gdl/%{majver}/gdl-%{version}.tar.xz
Patch0:        libgdl-3.26.0-Convert-Latin-1-encoded-characters-to-UTF-8.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libelf-devel
BuildRequires: libexpat-devel
BuildRequires: libffi-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libGL-devel
BuildRequires: libglib-devel
BuildRequires: libgtk-devel
BuildRequires: libpango-devel
BuildRequires: libpixman-devel
BuildRequires: libpng14-devel
BuildRequires: libpthread-stubs-devel
BuildRequires: libselinux-devel
BuildRequires: libstdc++6-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libxcb-devel
BuildRequires: libXdmcp-devel
BuildRequires: libxml2-devel
BuildRequires: libXrender-devel
BuildRequires: libz-devel
BuildRequires: pkg-config
BuildRequires: udev-devel
## AUTOBUILDREQ-END
BuildRequires: perl-XML-Parser
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This package contains components and libraries that are intended to be shared between GNOME development tools, including gnome-debug, gnome-build, and anjuta2.

The current pieces of GDL include:
 - A symbol browser bonobo component (symbol-browser-control).
 - A docking widget (gdl).
 - A utility library that also contains the stubs and skels for the symbol browser and text editor components (gdl, idl).

%package devel
Group:         Development/Libraries
Summary:       Libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains components and libraries that are intended to be shared between GNOME development tools, including gnome-debug, gnome-build, and anjuta2.

The current pieces of GDL include:
 - A symbol browser bonobo component (symbol-browser-control).
 - A docking widget (gdl).
 - A utility library that also contains the stubs and skels for
   the symbol browser and text editor components (gdl, idl).

This package contains libraries and header files need for development.

%package static
Group:         Development/Libraries
Summary:       Static libraries %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description static
This package contains components and libraries that are intended to be shared between GNOME development tools, including gnome-debug, gnome-build, and anjuta2.

The current pieces of GDL include:
 - A symbol browser bonobo component (symbol-browser-control).
 - A docking widget (gdl).
 - A utility library that also contains the stubs and skels for the symbol browser and text editor components (gdl, idl).

This package contains static libraries need for development.

%prep
%setup -q -n gdl-%{version}
#%patch0 -p1

%build
%configure --enable-gtk-doc
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang gdl-3

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f gdl-3.lang
%defattr(-,root,root)
%{_libdir}/libgdl-3.so.*
%{_libdir}/girepository-1.0/Gdl-3.typelib
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libgdl-3.0/gdl
%{_includedir}/libgdl-3.0/gdl/*.h
%{_libdir}/libgdl-3.la
%{_libdir}/libgdl-3.so
%{_datadir}/gir-1.0/Gdl-3.gir
%dir %{_datadir}/gtk-doc/html/gdl-3.0
#%{_datadir}/gtk-doc/html/gdl-3.0/gdl-3.0.devhelp2
%{_datadir}/gtk-doc/html/gdl-3.0/*.html
%{_datadir}/gtk-doc/html/gdl-3.0/*.css
%{_datadir}/gtk-doc/html/gdl-3.0/*.png
%{_libdir}/pkgconfig/*.pc
%doc ChangeLog NEWS README

#%files static
#%defattr(-,root,root)
#%{_libdir}/*.a

%changelog
* Mon Mar 26 2018 Automatic Build System <autodist@mambasoft.it> 3.28.0-1mamba
- automatic version update by autodist

* Sat Feb 10 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 3.26.0-2mamba
- Latin1 to UTF-8 patch to fix documentation build
- disable static package build

* Sun Dec 24 2017 Automatic Build System <autodist@mambasoft.it> 3.26.0-1mamba
- automatic version update by autodist

* Mon Oct 31 2016 Automatic Build System <autodist@mambasoft.it> 3.22.0-1mamba
- automatic version update by autodist

* Sat Apr 09 2016 Automatic Build System <autodist@mambasoft.it> 3.20.0-1mamba
- automatic version update by autodist

* Fri Oct 09 2015 Automatic Build System <autodist@mambasoft.it> 3.18.0-1mamba
- automatic version update by autodist

* Thu Apr 09 2015 Automatic Build System <autodist@mambasoft.it> 3.16.0-1mamba
- automatic version update by autodist

* Wed Sep 24 2014 Automatic Build System <autodist@mambasoft.it> 3.14.0-1mamba
- automatic version update by autodist

* Wed Mar 26 2014 Automatic Build System <autodist@mambasoft.it> 3.12.0-1mamba
- automatic version update by autodist

* Mon Oct 28 2013 Automatic Build System <autodist@mambasoft.it> 3.10.0-1mamba
- automatic version update by autodist

* Sun Apr 14 2013 Automatic Build System <autodist@mambasoft.it> 3.8.1-1mamba
- automatic version update by autodist

* Wed Mar 27 2013 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic version update by autodist

* Sat Nov 10 2012 Automatic Build System <autodist@mambasoft.it> 3.6.2-1mamba
- automatic version update by autodist

* Mon Oct 15 2012 Automatic Build System <autodist@mambasoft.it> 3.6.0-1mamba
- automatic version update by autodist

* Thu Jul 19 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.2-1mamba
- update to 3.4.2

* Sun Jun 19 2011 Automatic Build System <autodist@mambasoft.it> 3.0.2-1mamba
- automatic update by autodist

* Fri Apr 15 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.0-1mamba
- update to 3.0.0

* Tue Sep 28 2010 Automatic Build System <autodist@mambasoft.it> 2.30.1-1mamba
- automatic update to 2.30.1 by autodist

* Sat May 29 2010 Automatic Build System <autodist@mambasoft.it> 2.30.0-1mamba
- automatic update to 2.30.0 by autodist

* Tue Oct 20 2009 Automatic Build System <autodist@mambasoft.it> 2.28.1-1mamba
- automatic update by autodist

* Sat Sep 26 2009 Automatic Build System <autodist@mambasoft.it> 2.28.0-1mamba
- automatic update to 2.28.0 by autodist

* Wed May 20 2009 Automatic Build System <autodist@mambasoft.it> 2.26.2-1mamba
- automatic update by autodist

* Mon Mar 30 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.0-1mamba
- automatic update to 2.26.0 by autodist

* Sun Jan 11 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.0-1mamba
- update to 2.24.0

* Sun Jan 11 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.11-1mamba
- automatic update by autodist

* Sun Aug 24 2008 gil <puntogil@libero.it> 0.7.10-1mamba
- package created by autospec
